Subject: bug#35492: 27.0.50; set-mouse-color nop

From: Devon Sean McCullough <[email-masked]>
Date: Wed, 1 May 2019 07:07:53 -0400

> 	On Apr 30, 2019, at 4:22 PM, Alan Third <[email-masked]> wrote:
> On Mon, Apr 29, 2019 at 02:18:42PM -0400, Devon Sean McCullough wrote:
>> The following have no effect:
>> 	(set-mouse-color "red")
>> 	(set-mouse-color “yellow")
>> 	(set-mouse-color "windowBackgroundColor")
>> The mouse color should change.

> I don’t think the NS port supports modifying the mouse pointer. It
> looks like it could probably be handled with custom NSCursors.

I see NS allows us to both read and write cursor images
so a possible solution might involve (mouse-cursor-image nil)
to get the current cursor image and (mouse-cursor-image nil image)
to set it, either as a new primitive or an existing one I’m ignorant of.
Lisp code thus replaces the cursor colors according to some heuristic;
this notion struck me after giving image.c & image.el a cursory glance.

	Peace
		--Devon

>> P.S. Have you discontinued MacOSX 10.11.6 El Capitan support?
>> Emacs-26.2 and later constantly glitch my screen with spurious clearing and redrawing.
>> My colleagues report no such aggravation under MacOSX 10.14 Mojave.
>> I s’poze I could revert to Emacs-26.1-2 as a workaround.
> 
> If your colleagues aren’t seeing any issues with 10.14, it’s probably
> a fluke. Either that or you’re doing something, or running something,
> which is prodding the bugs in the display system directly.
> 
> In macOS 10.14 Apple dropped the drawing mechanism we used, and I’ve
> been unable to come up with a suitable alternative.

Perhaps their displays are faster, rendering the needless redisplay imperceptible.